> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contact notes

> Returns a paginated list of contact notes. This endpoint supports filtering, sorting, and pagination.

**Sorting:**
- `created_at` (default: descending)

**Filtering:**
- `filter[contact_id]` - Filter notes for a specific Contact
- `filter[site_id]` - Filter notes for a specific Site

**Pagination:**
- Use `page[number]` and `page[size]` parameters
- Default page size is 20, maximum is 100




## OpenAPI

````yaml /openapi.yaml get /v1/contact_notes
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/contact_notes:
    get:
      tags:
        - Contact Notes
      summary: List contact notes
      description: >
        Returns a paginated list of contact notes. This endpoint supports
        filtering, sorting, and pagination.


        **Sorting:**

        - `created_at` (default: descending)


        **Filtering:**

        - `filter[contact_id]` - Filter notes for a specific Contact

        - `filter[site_id]` - Filter notes for a specific Site


        **Pagination:**

        - Use `page[number]` and `page[size]` parameters

        - Default page size is 20, maximum is 100
      parameters:
        - name: filter[contact_id]
          in: query
          required: false
          description: Filter contact notes for a specific contact by ID
          schema:
            type: string
        - name: filter[site_id]
          in: query
          required: false
          description: Filter contact notes for a specific site by ID
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort field. Prefix with '-' for descending order. Available:
            created_at, updated_at
          schema:
            type: string
        - name: page[number]
          in: query
          required: false
          description: Page number for pagination
          schema:
            type: integer
        - name: page[size]
          in: query
          required: false
          description: Number of items per page (max 100)
          schema:
            type: integer
      responses:
        '200':
          description: Contact notes filtered by contact_id
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/contact_notes_index_response'
        '401':
          description: Unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
      security:
        - Bearer: []
components:
  schemas:
    contact_notes_index_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
                enum:
                  - contact_notes
              attributes:
                $ref: '#/components/schemas/contact_notes_attributes'
              relationships:
                type: object
                properties:
                  contact:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    contact_notes_attributes:
      type: object
      properties:
        body:
          type: string
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````